// Copyright 2020 The Exonum Team
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

use snow::error::Error;
use thiserror::Error;

#[derive(Debug, Error)]
pub enum NoiseError {
    #[error("Wrong handshake message length {}", _0)]
    WrongMessageLength(usize),

    #[error("Snow error: {}", _0)]
    Snow(#[source] Error),
}

impl From<Error> for NoiseError {
    fn from(err: Error) -> Self {
        Self::Snow(err)
    }
}
